package shoppackage;
/*
TODO
Setter getter tutorial schauen



 */
public class Product {
   private  int prodID;
   private String name;
   private double transportWeight;
   private double netto;
   private double mwst;    // <----- Maybe final setzen
   private int lagerbestand;

    public Product(int prodID, String name, double transportWeight, double netto, double mwst, int lagerbestand) {
        this.prodID = prodID;
        this.name = name;
        this.transportWeight = transportWeight;
        this.netto = netto;
        this.mwst = mwst;
        this.lagerbestand = lagerbestand;

    }
    //Aus den Vorlesungen
    public boolean equals(Object o) {
        if (!(o instanceof Product))
            return false;

        if (!this.name.equals(((Product)o).name)|| this.netto != ((Product)o).netto)
            return false;

        return true;
    }
    //Get ---> Methoden zum abrufen der Vals
    public String getName() {
        return name;
    }
    public int getLagerbestand(){
        return lagerbestand;
    }
    public int getProdID(){
        return prodID;
    }

    public double getNetto() {
        return netto;
    }

    public double getMwst() {
        return mwst;
    }
    public double getTransportWeight(){
        return transportWeight;
    }



}